package org.nisum.controller;

import org.nisum.model.Notification;
import org.nisum.service.NotificationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

@RestController
@RequestMapping("/api/notifications")
public class NotificationController {

    @Autowired
    private final NotificationService notificationService;

    public NotificationController(NotificationService notificationService) {
        this.notificationService = notificationService;
    }

    @PostMapping("/send")
    public Mono<String> sendNotification(@RequestParam String userId,@RequestParam String message){
        notificationService.sendNotification(userId,message);
        return Mono.just("Success");
    }

    @GetMapping("/send-notification")
    public Mono<String> sendNotification(){
        return notificationService.sendNotification();
    }

    @GetMapping("/user/{userId}")
    public Flux<Notification> getNotification(@PathVariable String userId){
        return notificationService.getNotificationForUser(userId);
    }


}
